[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TNBPages.GetObject

Gets the value for the indexed Objects property.

## Declaration

Source position: comctrls.pp line 308

`protected function TNBPages.GetObject(`
`Index: Integer`
`):TObject; override;`

## Arguments

`Index` |  | Ordinal position for the object requested in the method.

## Function result

Object stored at the specified position.

## Description

GetObject is an overridden method in TNBPages, and redirects indexed object access to the PageList property. The return value is a TObject instance, and must be cast to TCustomPage to access its properties and methods.

Use GetPage to get a page in PageList as a TCustomPage instance.

## See also

TNBPages.GetPage |  | Gets the page stored at the specified position in PageList.
TNBPages.PageList |  | List with the TCustomPage instances for the class instance.
TStringList